module Dome::Helpers
  class HtmlDrawer
    def initialize(context, &tpl)
      @context = context
      @tpl = tpl || -> x { x }
    end

    def matching(proc = nil, &block)
      -> *args, &fn { @tpl.call(fn.call(*args)) if (proc || block).call(*args) }
    end
  end
end
